The "Get Order by ID" API allows to retrieve information for a specific order using its unique identifier. Use this endpoint to fetch details for a single order based on the provided order ID.
The "Get Order by ID" API allows to retrieve information for a specific order using its unique identifier. Use this endpoint to fetch details for a single order based on the provided order ID.
http
GET https://services.leadconnectorhq.com/payments/orders/{orderId}
Authorization
Name
Type
Required
Example
Description
Authorization
string
Yes
Bearer token generated from the Leadway portal. See Authentication.
Version
string
Yes
2021-07-28
API version.
Path parameters
Name
Type
Required
Example
Description
orderId
string
Yes
653f5e0cde5a1314e62a837c
ID of the order that needs to be returned
Query parameters
Name
Type
Required
Example
Description
locationId
string
No
3SwdhCu3svxI8AKsPJt6
LocationId is the id of the account.
altId
string
Yes
3SwdhCu3svxI8AKsPJt6
AltId is the unique identifier e.g: account id.
Responses
200 - Successful response
_id (string, required): The unique identifier for the order. Example: 653f5e0cde5a1314e62a837c
altId (string, required): AltId is the unique identifier eg: account id. Example: 3SwdhCu3svxI8AKsPJt6
altType (string, required): AltType is the type of identifier. Example: account
contactId (string): Contact id corresponding to the order. Example: XPLSw2SVagl12LMDeTmQ
currency (string): Currency in which order was created. Example: USD
amount (number): Order value. Example: 100
status (string, required): The status of the order (e.g., completed). Example: completed
liveMode (boolean): Order is in live / test mode. Example: false
createdAt (string, required): The creation timestamp of the order. Example: 2023-11-20T10:23:36.515Z
updatedAt (string, required): The last update timestamp of the order. Example: 2024-01-23T09:57:04.846Z
fulfillmentStatus (string): Fulfillment status of the order. Example: unfulfilled
contactSnapshot (object): Contact details of the order. Example: { last_name: "Mcclain", type: "lead", first_name_lower_case: "rogan", email: "anish+11@leadwaycrm.com", last_name_lower_case: "mcclain", location_id: "o6241QsiRwUIJHyjuhos", company_name: "Jordan and Cox Trading"}
amountSummary (object): Amount details of the order. Example: { subtotal: 100, discount: 5 }
source (object): Source details of the order. Example: { type: "invoice", id: "61dd48ff65b013bc39bb09c6" }